---
name: financial-connections-routes
description: Handle 11 OpenAPI operation(s) under /v1/financial_connections for the financial connections route group.
---

# financial connections API Routes

Handle 11 OpenAPI operation(s) under /v1/financial_connections for the financial connections route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### get_financial_connections_accounts

- Operation ID: `get_financial_connections_accounts`
- Route: `GET /v1/financial_connections/accounts`
- Mode: READ
- Summary: List Accounts
- Parameters:
  - `account_holder` in `query`
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `session` in `query`
  - `starting_after` in `query`
- Body: JSON request body accepted.

### get_financial_connections_accounts_account

- Operation ID: `get_financial_connections_accounts_account`
- Route: `GET /v1/financial_connections/accounts/{account}`
- Mode: READ
- Summary: Retrieve an Account
- Parameters:
  - `account` in `path` required
  - `expand` in `query`
- Body: JSON request body accepted.

### post_financial_connections_accounts_account_disconnect

- Operation ID: `post_financial_connections_accounts_account_disconnect`
- Route: `POST /v1/financial_connections/accounts/{account}/disconnect`
- Mode: WRITE
- Summary: Disconnect an Account
- Parameters:
  - `account` in `path` required
- Body: JSON request body accepted.

### get_financial_connections_accounts_account_owners

- Operation ID: `get_financial_connections_accounts_account_owners`
- Route: `GET /v1/financial_connections/accounts/{account}/owners`
- Mode: READ
- Summary: List Account Owners
- Parameters:
  - `account` in `path` required
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `ownership` in `query` required
  - `starting_after` in `query`
- Body: JSON request body accepted.

### post_financial_connections_accounts_account_refresh

- Operation ID: `post_financial_connections_accounts_account_refresh`
- Route: `POST /v1/financial_connections/accounts/{account}/refresh`
- Mode: WRITE
- Summary: Refresh Account data
- Parameters:
  - `account` in `path` required
- Body: JSON request body accepted.

### post_financial_connections_accounts_account_subscribe

- Operation ID: `post_financial_connections_accounts_account_subscribe`
- Route: `POST /v1/financial_connections/accounts/{account}/subscribe`
- Mode: WRITE
- Summary: Subscribe to data refreshes for an Account
- Parameters:
  - `account` in `path` required
- Body: JSON request body accepted.

### post_financial_connections_accounts_account_unsubscribe

- Operation ID: `post_financial_connections_accounts_account_unsubscribe`
- Route: `POST /v1/financial_connections/accounts/{account}/unsubscribe`
- Mode: WRITE
- Summary: Unsubscribe from data refreshes for an Account
- Parameters:
  - `account` in `path` required
- Body: JSON request body accepted.

### post_financial_connections_sessions

- Operation ID: `post_financial_connections_sessions`
- Route: `POST /v1/financial_connections/sessions`
- Mode: WRITE
- Summary: Create a Session
- Body: JSON request body accepted.

### get_financial_connections_sessions_session

- Operation ID: `get_financial_connections_sessions_session`
- Route: `GET /v1/financial_connections/sessions/{session}`
- Mode: READ
- Summary: Retrieve a Session
- Parameters:
  - `expand` in `query`
  - `session` in `path` required
- Body: JSON request body accepted.

### get_financial_connections_transactions

- Operation ID: `get_financial_connections_transactions`
- Route: `GET /v1/financial_connections/transactions`
- Mode: READ
- Summary: List Transactions
- Parameters:
  - `account` in `query` required
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `starting_after` in `query`
  - `transacted_at` in `query`
  - `transaction_refresh` in `query`
- Body: JSON request body accepted.

### get_financial_connections_transactions_transaction

- Operation ID: `get_financial_connections_transactions_transaction`
- Route: `GET /v1/financial_connections/transactions/{transaction}`
- Mode: READ
- Summary: Retrieve a Transaction
- Parameters:
  - `expand` in `query`
  - `transaction` in `path` required
- Body: JSON request body accepted.
